# gdcm::SplitMosaicFilter Class Reference

SplitMosaicFilter class Class to reshuffle bytes for a SIEMENS Mosaic image Siemens CSA Image Header CSA:= Common Siemens Architecture, sometimes also known as Common syngo Architecture. More...

`#include <gdcmSplitMosaicFilter.h>`

Collaboration diagram for gdcm::SplitMosaicFilter:
[legend]

List of all members.

## Public Member Functions

| SplitMosaicFilter ()
| ~SplitMosaicFilter ()
bool | ComputeMOSAICDimensions (unsigned int dims[3])
File & | GetFile ()
const File & | GetFile () const
Image & | GetImage ()
const Image & | GetImage () const
void | SetFile (const File &f)
void | SetImage (const Image &image)
bool | Split ()
| Split the SIEMENS MOSAIC image.

## Detailed Description

SplitMosaicFilter class Class to reshuffle bytes for a SIEMENS Mosaic image Siemens CSA Image Header CSA:= Common Siemens Architecture, sometimes also known as Common syngo Architecture.

## Constructor & Destructor Documentation

gdcm::SplitMosaicFilter::SplitMosaicFilter | ( |  | ) |

gdcm::SplitMosaicFilter::~SplitMosaicFilter | ( |  | ) |

## Member Function Documentation

bool gdcm::SplitMosaicFilter::ComputeMOSAICDimensions | ( | unsigned int | dims[3] | ) |

Compute the new dimensions according to private information stored in the MOSAIC header.

const File& gdcm::SplitMosaicFilter::GetFile | ( |  | ) | const`[inline]`

File& gdcm::SplitMosaicFilter::GetFile | ( |  | ) | `[inline]`

const Image& gdcm::SplitMosaicFilter::GetImage | ( |  | ) | const`[inline]`

Image& gdcm::SplitMosaicFilter::GetImage | ( |  | ) | `[inline]`

void gdcm::SplitMosaicFilter::SetFile | ( | const File & | f | ) | `[inline]`

void gdcm::SplitMosaicFilter::SetImage | ( | const Image & | image | ) |

bool gdcm::SplitMosaicFilter::Split | ( |  | ) |

Split the SIEMENS MOSAIC image.

The documentation for this class was generated from the following file:

- gdcmSplitMosaicFilter.h